VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   4320
   ClientLeft      =   1635
   ClientTop       =   1935
   ClientWidth     =   5295
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4320
   ScaleWidth      =   5295
   Begin VB.CommandButton cmdMain 
      Caption         =   "&Extract URL"
      Height          =   495
      Index           =   1
      Left            =   4020
      TabIndex        =   2
      Top             =   3720
      Width           =   1215
   End
   Begin VB.CommandButton cmdMain 
      Caption         =   "&Get HTML"
      Height          =   495
      Index           =   0
      Left            =   2760
      TabIndex        =   1
      Top             =   3720
      Width           =   1215
   End
   Begin VB.TextBox txtData 
      Height          =   3615
      Left            =   60
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   0
      Width           =   5175
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'********************************************************************************
'* Component:      frmMain
'* Author:         Craig Jasper, Jr.
'* Machine:        CJASPERJR (CP4850) -- Windows 2000 Server Edition (Service Pack 2).
'* Built Using:    Visual Basic 6.0 Enterprise Edition (Service Pack 5).
'* Modified:       1/28/2002
'********************************************************************************

' Note: I only tested this on AOL 7.0 Revision 4114.256 and the above specifications.

Option Explicit

'********************************************************************************
' Routine:        cmdMain_Click
'********************************************************************************
Private Sub cmdMain_Click(Index As Integer)
    On Error GoTo PROC_ERR
    
    Dim clsAOLClipboard As CAOLClipboard
    Set clsAOLClipboard = New CAOLClipboard
    
    Select Case Index
        Case 0    ' Get HTML
            If clsAOLClipboard.AOLHTMLData <> "" Then
                txtData.Text = clsAOLClipboard.AOLHTMLData
            End If
            
        Case 1    ' Get URL
            If clsAOLClipboard.AOLURLData <> "" Then
                txtData.Text = clsAOLClipboard.AOLURLData
            End If
    End Select
    
    Set clsAOLClipboard = Nothing
    
    Exit Sub
PROC_ERR:
    MsgBox Err.Description, vbCritical
    
    Set clsAOLClipboard = Nothing
End Sub

'********************************************************************************
' Routine:        Form_Load
'********************************************************************************
Private Sub Form_Load()
    On Error GoTo PROC_ERR
    
    With Me
        .Move (Screen.Width - .Width) \ 2, (Screen.Height - .Height) \ 2
    End With
            
    Exit Sub
PROC_ERR:
    MsgBox Err.Description, vbCritical
End Sub

'********************************************************************************
' Routine:        Form_Unload
'********************************************************************************
Private Sub Form_Unload(Cancel As Integer)
    On Error GoTo PROC_ERR
    
    Set frmMain = Nothing
    
    Exit Sub
PROC_ERR:
    MsgBox Err.Description, vbCritical

    Resume Next
End Sub
